Glib::Bytes(3)

NAME
Glib::Bytes - Wrappers for bytes objects in GLib

HIERARCHY
  Glib::Boxed
  +----Glib::Bytes

DESCRIPTION
In addition to the low-level API documented below, Glib also provides stringification overloading so that you can treat any "Glib::Bytes" object as a normal Perl string.

METHODS

  bytes = Glib::Bytes->new ($data)

•   $data (scalar)

Since: glib 2.32

  integer = $bytes1->compare ($bytes2)

•   $bytes2 (Glib::Bytes)

Since: glib 2.32

  scalar = $bytes->get_data
Since: glib 2.32

  boolean = $bytes1->equal ($bytes2)

•   $bytes2 (Glib::Bytes)

Since: glib 2.32

  integer = $bytes->hash
Since: glib 2.32

  unsigned = $bytes->get_size
Since: glib 2.32

SEE ALSO
Glib, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.